| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::LineMetrics Class Referencefinal

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::LineMetrics:

## Public Member Functions
| LineMetrics (ImpellerLineMetrics metrics, AdoptTag tag)
double | GetUnscaledAscent (size_t line) const
double | GetAscent (size_t line) const
double | GetDescent (size_t line) const
double | GetBaseline (size_t line) const
bool | IsHardbreak (size_t line) const
double | GetWidth (size_t line) const
double | GetHeight (size_t line) const
double | GetLeft (size_t line) const
size_t | GetCodeUnitStartIndex (size_t line) const
size_t | GetCodeUnitEndIndex (size_t line) const
size_t | GetCodeUnitEndIndexExcludingWhitespace (size_t line) const
size_t | GetCodeUnitEndIndexIncludingNewline (size_t line) const
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >
| Object ()=default
| Object (ImpellerLineMetrics object)
| Object (ImpellerLineMetrics object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerLineMetrics | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerLineMetrics

Definition at line 717 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ LineMetrics()

IMPELLER_HPP_NAMESPACE::LineMetrics::LineMetrics | ( | ImpellerLineMetrics | metrics,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 720 of file impeller.hpp.

721 : Object(metrics, tag) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Object
Object()=default

## Member Function Documentation

## ◆ GetAscent()

double IMPELLER_HPP_NAMESPACE::LineMetrics::GetAscent | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetAscent

Definition at line 733 of file impeller.hpp.

733 {
734 return gGlobalProcTable.ImpellerLineMetricsGetAscent(Get(), line);
735 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get
ImpellerLineMetrics Get() const
Definition: impeller.hpp:269
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetBaseline()

double IMPELLER_HPP_NAMESPACE::LineMetrics::GetBaseline | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetBaseline

Definition at line 747 of file impeller.hpp.

747 {
748 return gGlobalProcTable.ImpellerLineMetricsGetBaseline(Get(), line);
749 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetCodeUnitEndIndex()

size_t IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitEndIndex | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetCodeUnitEndIndex

Definition at line 790 of file impeller.hpp.

790 {
791 return gGlobalProcTable.ImpellerLineMetricsGetCodeUnitEndIndex(Get(), line);
792 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetCodeUnitEndIndexExcludingWhitespace()

size_t IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitEndIndexExcludingWhitespace | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetCodeUnitEndIndexExcludingWhitespace

Definition at line 797 of file impeller.hpp.

797 {
798 return gGlobalProcTable
799 .ImpellerLineMetricsGetCodeUnitEndIndexExcludingWhitespace(Get(), line);
800 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetCodeUnitEndIndexIncludingNewline()

size_t IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitEndIndexIncludingNewline | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetCodeUnitEndIndexIncludingNewline

Definition at line 805 of file impeller.hpp.

805 {
806 return gGlobalProcTable
807 .ImpellerLineMetricsGetCodeUnitEndIndexIncludingNewline(Get(), line);
808 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetCodeUnitStartIndex()

size_t IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitStartIndex | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetCodeUnitStartIndex

Definition at line 782 of file impeller.hpp.

782 {
783 return gGlobalProcTable.ImpellerLineMetricsGetCodeUnitStartIndex(Get(),
784 line);
785 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetDescent()

double IMPELLER_HPP_NAMESPACE::LineMetrics::GetDescent | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetDescent

Definition at line 740 of file impeller.hpp.

740 {
741 return gGlobalProcTable.ImpellerLineMetricsGetDescent(Get(), line);
742 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetHeight()

double IMPELLER_HPP_NAMESPACE::LineMetrics::GetHeight | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetHeight

Definition at line 768 of file impeller.hpp.

768 {
769 return gGlobalProcTable.ImpellerLineMetricsGetHeight(Get(), line);
770 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetLeft()

double IMPELLER_HPP_NAMESPACE::LineMetrics::GetLeft | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetLeft

Definition at line 775 of file impeller.hpp.

775 {
776 return gGlobalProcTable.ImpellerLineMetricsGetLeft(Get(), line);
777 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetUnscaledAscent()

double IMPELLER_HPP_NAMESPACE::LineMetrics::GetUnscaledAscent | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetUnscaledAscent

Definition at line 726 of file impeller.hpp.

726 {
727 return gGlobalProcTable.ImpellerLineMetricsGetUnscaledAscent(Get(), line);
728 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetWidth()

double IMPELLER_HPP_NAMESPACE::LineMetrics::GetWidth | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsGetWidth

Definition at line 761 of file impeller.hpp.

761 {
762 return gGlobalProcTable.ImpellerLineMetricsGetWidth(Get(), line);
763 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ IsHardbreak()

bool IMPELLER_HPP_NAMESPACE::LineMetrics::IsHardbreak | ( | size_t | line | ) | const
| inline

See also
  ImpellerLineMetricsIsHardbreak

Definition at line 754 of file impeller.hpp.

754 {
755 return gGlobalProcTable.ImpellerLineMetricsIsHardbreak(Get(), line);
756 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerLineMetrics, ImpellerLineMetricsTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp